# Create new Profiles API token (legacy)

Create a new Profiles API token.    _This endpoint is for Audience Studio legacy. For the latest Audience Studio, contact your Customer Success Representative._

Endpoint: POST /audiences/{audienceId}/tokens
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)
    Master Segment ID of the token

## Request fields (application/json):

  - `description` (string)
    description
    Example: "description"

  - `token` (string)
    UUID of the token

  - `keyColumn` (string, required)
    A key column name to fetch the information of a customer.
    Example: "td_client_id"

  - `segments` (array)
    associated segments
    Example: [{"id":1234}]

  - `segments.id` (integer)

  - `attributeColumns` (array, required)
    associated attribute column names. Max the number of attribute columns is 5. You must specify empty array if you don't need attributes.
    Example: ["gender","country"]

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message


